/**
 * shows splash screen using resource bitmap
 * hides window after:
 * - mouse click
 * - key pressed
 * - the specified time
 *
 * \author Marcel Lancelle
 * \date 2002-2003
 * \bug Seems to crash sometimes in WinNT.
 */

#ifndef SPLASHWINDOW_HEADER_INCLUDED
#define SPLASHWINDOW_HEADER_INCLUDED

class SplashWindow {
  public:
	SplashWindow(HINSTANCE hInstance, WORD bmpId);
	void show(int milliSeconds);

  protected:
	static DWORD messageLoop(void* paramPtr);
	static LRESULT CALLBACK wndProc(HWND hwnd, UINT msg,
		WPARAM wParam, LPARAM lParam);

	static HWND hwnd;
	static WNDCLASS wndCl;
	static HGDIOBJ hbmSplash;
	static BITMAP splashBmp;
	static DWORD threadID;
	static bool active;
};

#endif // SPLASHWINDOW
