/**
 * segmentation class for separating the object from the monochrome background
 * for 3dscanner project
 *
 * \author Marcel Lancelle
 * \date 2002-2003
 */

#include "MBmpImg.h"

class Segmentation {
  protected:
	static bool debugOutput;
  public:
	static int THRESHOLD_BG;
	static int THRESHOLD_OBJ;
	static void setDebugOutput(bool debugOutput);

	/// input: 24 bit photo (will be used as temporary buffer and thus be overwritten)
	/// output: 8 bit mask
	static void segment(MBmpImg* photo, MBmpImg* mask);
};
