#include "camTrafo.h"
#include <stdio.h>
#include "math3d.h"

#include <stdlib.h>

void printMatrix(MAT4x4* m) {
	for (int i=0; i<4; i++) printf("%f %f %f %f\n", m->m[i][0], m->m[i][1], m->m[i][2], m->m[i][3]);
}

int main(int argc, char *argv[]) {
	CamTrafo ct;
	ct.rx = 0;
	ct.ry = 1;
	ct.rz = 0;
	ct.tx = 20;
	ct.ty = 7;
	ct.tz = -4;
	ct.calcTrafoMatrix();

	double xw = 1.1;
	double yw = 0.7;
	double zw = -0.3;

	double xc, yc, zc;

printf("world: %f %f %f\n", xw, yw, zw);

	ct.world2Cam(xw, yw, zw, &xc, &yc, &zc);

printf("cam: %f %f %f\n", xc, yc, zc);

	ct.cam2World(xc, yc, zc, &xw, &yw, &zw);

printf("world: %f %f %f\n", xw, yw, zw);

printf("\n");
printMatrix(&ct.trafo);
printf("\n");
printMatrix(&ct.trafoInverse);
printf("\n");

//multMatMat(&ct.trafo, &ct.trafoInverse);
//printMatrix(&ct.trafo);

multMatMat(&ct.trafoInverse, &ct.trafo);
printMatrix(&ct.trafoInverse);

printf("\n");


	system("PAUSE");
	return 0;
}
